Module org.apache.sis.metadata
Package org.apache.sis.metadata.iso.spatial

# Class DefaultVectorSpatialRepresentation

Object
AbstractMetadata
ModifiableMetadata
ISOMetadata
AbstractSpatialRepresentation
DefaultVectorSpatialRepresentation

All Implemented Interfaces:
  `Serializable`, `Emptiable`, `LenientComparable`, `IdentifiedObject`, `SpatialRepresentation`, `VectorSpatialRepresentation`

public class DefaultVectorSpatialRepresentation extends AbstractSpatialRepresentation implements VectorSpatialRepresentation
Information about the vector spatial objects in the dataset.

## Limitations

- Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
- Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.

Since:
  0.3
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ModifiableMetadata

  `ModifiableMetadata​.State`

- ## Field Summary

  ### Fields inherited from class ISOMetadata

  `identifiers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultVectorSpatialRepresentation()`
  Constructs an initially empty vector spatial representation.
  `DefaultVectorSpatialRepresentation(VectorSpatialRepresentation object)`
  Constructs a new instance initialized with the values from the specified metadata object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DefaultVectorSpatialRepresentation`
  `castOrCopy(VectorSpatialRepresentation object)`
  Returns a SIS metadata implementation with the values of the given arbitrary implementation.
  `Collection<GeometricObjects>`
  `getGeometricObjects()`
  Returns information about the geometric objects used in the dataset.
  `TopologyLevel`
  `getTopologyLevel()`
  Returns the code which identifies the degree of complexity of the spatial relationships.
  `void`
  `setGeometricObjects(Collection<? extends GeometricObjects> newValues)`
  Sets information about the geometric objects used in the dataset.
  `void`
  `setTopologyLevel(TopologyLevel newValue)`
  Sets the code which identifies the degree of complexity of the spatial relationships.

  ### Methods inherited from class AbstractSpatialRepresentation

  `castOrCopy, getScope, setScope`

  ### Methods inherited from class ISOMetadata

  `getIdentifier, getIdentifierMap, getIdentifiers, getStandard, setIdentifier, transitionTo`

  ### Methods inherited from class ModifiableMetadata

  `checkWritePermission, collectionType, copyCollection, copyList, copyMap, copySet, deepCopy, nonNullCollection, nonNullList, nonNullMap, nonNullSet, singleton, state, writeCollection, writeList, writeMap, writeSet`

  ### Methods inherited from class AbstractMetadata

  `asMap, asTreeTable, equals, equals, getInterface, hashCode, isEmpty, prune, toString`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DefaultVectorSpatialRepresentation

    public DefaultVectorSpatialRepresentation()
    Constructs an initially empty vector spatial representation.

  - ### DefaultVectorSpatialRepresentation

    public DefaultVectorSpatialRepresentation(VectorSpatialRepresentation object)
    Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, because the other metadata contained in the given object are not recursively copied.
    Parameters:
      `object` - the metadata to copy values from, or `null` if none.
    See Also:
      - `castOrCopy(VectorSpatialRepresentation)`

- ## Method Details

  - ### castOrCopy

    public static DefaultVectorSpatialRepresentation castOrCopy(VectorSpatialRepresentation object)
    Returns a SIS metadata implementation with the values of the given arbitrary implementation. This method performs the first applicable action in the following choices:
    - If the given object is `null`, then this method returns `null`.
    - Otherwise if the given object is already an instance of `DefaultVectorSpatialRepresentation`, then it is returned unchanged.
    - Otherwise a new `DefaultVectorSpatialRepresentation` instance is created using the copy constructor and returned. Note that this is a shallow copy operation, because the other metadata contained in the given object are not recursively copied.
    Parameters:
      `object` - the object to get as a SIS implementation, or `null` if none.
    Returns:
      a SIS implementation containing the values of the given object (may be the given object itself), or `null` if the argument was null.

  - ### getTopologyLevel

    public TopologyLevel getTopologyLevel()
    Returns the code which identifies the degree of complexity of the spatial relationships.
    Specified by:
      `getTopologyLevel` in interface `VectorSpatialRepresentation`
    Returns:
      the degree of complexity of the spatial relationships, or `null`.

  - ### setTopologyLevel

    public void setTopologyLevel(TopologyLevel newValue)
    Sets the code which identifies the degree of complexity of the spatial relationships.
    Parameters:
      `newValue` - the new topology level.

  - ### getGeometricObjects

    public Collection<GeometricObjects> getGeometricObjects()
    Returns information about the geometric objects used in the dataset.
    Specified by:
      `getGeometricObjects` in interface `VectorSpatialRepresentation`
    Returns:
      information about the geometric objects used in the dataset, or `null`.

  - ### setGeometricObjects

    public void setGeometricObjects(Collection<? extends GeometricObjects> newValues)
    Sets information about the geometric objects used in the dataset.
    Parameters:
      `newValues` - the new geometric objects.